
Foreman - Refactor #36222

Move puppet rake task to plugin

03/23/2023 07:20 AM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9660

  

Description

Discussed in https://github.com/theforeman/foreman/pull/9660#discussion_r1145212968:

"Shall we drop the task instead? importNode was removed in 9584548. If we want to keep this task (which I seriously doubt), then it

should live in foreman_puppet instead."

Associated revisions

Revision dbe4db80 - 07/13/2023 10:38 AM - Ron Lavi

Fixes #36222 - drop unused puppet rake task

History

#1 - 03/27/2023 06:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9660 added

#2 - 07/13/2023 10:39 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 07/13/2023 11:00 AM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|dbe4db80ea60c7f3b02e4857631d63c2c2017c5b.

#4 - 09/12/2023 08:33 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
